Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044572
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Cash upmajoralways2020-07-08 09:062020-08-11 08:48
ReporterlmonrealView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044572: Automatic login If I do cash up offline and I restore conection

DescriptionThere is an automatic login if I do cash up and I restore the conection
Steps To Reproduce
- Login on https://livebuilds.openbravo.com/retail_mp_3.0RR19Q3.3/web/org.openbravo.retail.posterminal/?terminal=VBS-1#retail.pointofsale [^] [^]

- Go offline

- Open the console and write OB.MobileApp.model.logout() (To force the logout)

- F5

- Go online

- F5

-->You are logged
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121701)
adrianromero (manager)
2020-07-30 10:20

We need more details about the issue in the real environment is reproduced. Having to execute a JS command in the console should not be a valid step to reproduce the issue.
(0121749)
guillermogil (manager)
2020-08-03 08:44
edited on: 2020-08-03 08:45

you can do the logout.
Also, in the case it is needed to use the command it should be possible as it is an standard API and we are using it properly

(0121927)
hgbot (developer)
2020-08-10 03:58

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/48 [^]
(0121928)
hgbot (developer)
2020-08-10 03:58

Merge Request created: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/23 [^]
(0121942)
hgbot (developer)
2020-08-10 12:14

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 884fb0020e93838d51b5de5d4fe40c81a1fb6561
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-08-06T14:56:08+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/884fb0020e93838d51b5de5d4fe40c81a1fb6561 [^]

Fixed ISSUE-44572: Login Window should be rendered when there is no active Session
* In Offline/Online mode, if there is no active session, then when reload the pos, Login page should be rendered

---
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---
(0121943)
hgbot (developer)
2020-08-10 12:14

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/48 [^]
(0121966)
hgbot (developer)
2020-08-11 08:48

Merge request merged: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/23 [^]
(0121967)
hgbot (developer)
2020-08-11 08:48

Repository: https://gitlab.com/openbravo/ci/mobile-test [^]
Changeset: 3fdc55ce17cb27804bfeefd2464c51275557c9b8
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-08-11T06:48:29+00:00
URL: https://gitlab.com/openbravo/ci/mobile-test/-/commit/3fdc55ce17cb27804bfeefd2464c51275557c9b8 [^]

Verifies ISSUE-44572: Modified Automated test I38212_OfflineTimeOut

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/offline/I38212_OfflineTimeOut.java
---

- Issue History
Date Modified Username Field Change
2020-07-08 09:06 lmonreal New Issue
2020-07-08 09:06 lmonreal Assigned To => Retail
2020-07-08 09:06 lmonreal Triggers an Emergency Pack => No
2020-07-08 09:06 lmonreal Relationship added blocks 0044544
2020-07-28 09:26 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-07-30 10:20 adrianromero Note Added: 0121701
2020-07-30 10:20 adrianromero Status new => feedback
2020-08-03 08:44 guillermogil Note Added: 0121749
2020-08-03 08:44 guillermogil Status feedback => new
2020-08-03 08:45 guillermogil Note Edited: 0121749 View Revisions
2020-08-03 12:53 ranjith_qualiantech_com Status new => scheduled
2020-08-10 03:58 hgbot Note Added: 0121927
2020-08-10 03:58 hgbot Note Added: 0121928
2020-08-10 12:14 hgbot Resolution open => fixed
2020-08-10 12:14 hgbot Status scheduled => closed
2020-08-10 12:14 hgbot Fixed in Version => RR20Q4
2020-08-10 12:14 hgbot Note Added: 0121942
2020-08-10 12:14 hgbot Note Added: 0121943
2020-08-11 08:48 hgbot Note Added: 0121966
2020-08-11 08:48 hgbot Note Added: 0121967


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker